program pr05; {$R+}
const a=1.0;
  b=1.5;
  c=2.0;
var i:byte;
  stop:boolean;
  eps,dx,dy,x0,y0:real;
  x:array [1..2] of real;
  ma:array [1..2,1..3] of real;

function f1(x,y:real):real;
begin
  f1:=sin(a*x)/cos(a*x)-cos(b*y)
end;

function f2(x,y:real):real;
begin
  f2:=c*sqr(y)*y-sqr(x)-4*x-3
end;

function df1dx(x:real):real;
begin
  df1dx:=a/sqr(cos(a*x))
end;

function df1dy(y:real):real;
begin
  df1dy:=b*sin(b*y)
end;

function df2dx(x:real):real;
begin
  df2dx:=-2*x-4
end;

function df2dy(y:real):real;
begin
  df2dy:=3*c*sqr(y)
end;

procedure gauss;
const n=2;
var l:real;
  j,z,s,k:byte;
begin
  for s:=1 to n-1 do for z:=s+1 to n do
  begin
    ma[z,s]:=-ma[z,s]/ma[s,s];
    for k:=s+1 to n+1 do ma[z,k]:=ma[z,k]+ma[z,s]*ma[s,k]
  end;
  x[n]:=ma[n,n+1]/ma[n,n];
  for i:=n-1 downto 1 do
  begin
    l:=ma[i,n+1];
    for j:=i+1 to n do l:=l-x[j]*ma[i,j];
    x[i]:=l/ma[i,i]
  end
end;

procedure vvod;
begin
  ma[1,1]:=df1dx(x0); ma[1,2]:=df1dy(y0); {} ma[1,3]:=-f1(x0,y0);
  ma[2,1]:=df2dx(x0); ma[2,2]:=df2dy(y0); {} ma[2,3]:=-f2(x0,y0)
end;

begin
  eps:=1e-7; x0:=1; y0:=2; dx:=0; dy:=0; stop:=false;
  repeat
    x0:=x0+dx; y0:=y0+dy; vvod; gauss;
    dx:=x[1]; dy:=x[2];
    stop:=(abs(dx)<eps) and (abs(dy)<eps)
  until stop;
  writeln('襭: x=',x0:2:8,' y=',y0:2:8)
end.